# $Revision: 1.26 $, $Date: 2007-02-13 06:46:54 $
Summary:	Generate scalable fonts for TeX
Summary(pl.UTF-8):	Generowanie skalowanych fontów dla TeXa
Name:		mftrace
Version:	1.2.5
Release:	1
License:	GPL
Group:		Applications/Publishing
Source0:	http://www.xs4all.nl/~hanwen/mftrace/%{name}-%{version}.tar.gz
# Source0-md5:	c74c812e4e7f63f63376a13b792249da
URL:		http://www.xs4all.nl/~hanwen/mftrace/
Requires:	potrace
Requires:	python >= 2.1
Requires:	t1utils
Requires:	tetex-metafont
Conflicts:	autotrace < 0.30
Conflicts:	pfaedit < 020215
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
mftrace is a small Python program that lets you trace a TeX bitmap
font into a PFA or PFB font (A PostScript Type1 Scalable Font). It is
licensed under the GNU GPL.

Type1 fonts offer many advantages over bitmaps, as they allow
PostScript files to render correctly on printers with many
resolutions. Moreover, Ghostscript can generate much better PDF, if
given scalable fonts.

Note: fontforge (or pfaedit >= 020215) is recommended for autohinting.

%description -l pl.UTF-8
mftrace to mały program w Pythonie pozwalający na trasowanie TeXowych
fontów bitmapowych do fontów PFA lub PFB (skalowanych fontów
PostScript Type1). Program jest rozpowszechniany na licencji GNU GPL.

Fonty Type1 oferują wiele zalet w stosunku do bitmap, jako że
pozwalają na poprawne odwzorowanie plików w PostScripcie na drukarkach
w wielu rozdzielczościach. Co więcej, ghostscript może generować dużo
lepsze PDF-y, jeśli ma skalowalne fonty.

Zalecany jest pakiet fontforge (lub pfaedit >= 020215) do
automatycznego hintingu.

%prep
%setup -q

%build
%configure \
	POTRACE=/usr/bin/potrace \
	AUTOTRACE=/usr/bin/autotrace

%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALL=install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README.txt
%attr(755,root,root) %{_bindir}/gf2pbm
%attr(755,root,root) %{_bindir}/mftrace
%{_mandir}/man1/mftrace.1*
%dir %{_datadir}/mftrace
%{_datadir}/mftrace/afm.pyc
%{_datadir}/mftrace/afm.py
%{_datadir}/mftrace/tfm.pyc
%{_datadir}/mftrace/tfm.py

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mftrace.spec,v $
Revision 1.26  2007-02-13 06:46:54  glen
- tabs in preamble

Revision 1.25  2007/02/12 00:49:07  baggins
- converted to UTF-8

Revision 1.24  2006/11/18 23:54:24  qboosh
- updated to 1.2.5

Revision 1.23  2006/09/12 11:31:47  qboosh
- updated to 1.2.4

Revision 1.22  2006/03/04 22:34:18  qboosh
- updated to 1.1.19

Revision 1.21  2006/02/24 19:51:40  qboosh
- updated to 1.1.18

Revision 1.20  2005/10/28 23:18:29  qboosh
- updated to 1.1.17

Revision 1.19  2005/06/12 12:40:43  qboosh
- updated to 1.1.10

Revision 1.18  2005/04/23 17:13:38  qboosh
- updated to 1.1.9

Revision 1.17  2005/04/15 23:53:55  qboosh
- updated to 1.1.8

Revision 1.16  2005/03/21 23:44:56  qboosh
- updated to 1.1.6

Revision 1.15  2005/01/07 21:23:57  qboosh
- updated to 1.1.2

Revision 1.14  2004/12/26 12:37:02  qboosh
- updated to 1.1.1
- mention fontforge in descs (it obsoleted pfaedit)

Revision 1.13  2004/12/03 21:06:41  qboosh
- updated to 1.0.36

Revision 1.12  2004/11/20 21:06:06  qboosh
- updated to 1.0.35

Revision 1.11  2004/08/27 22:09:27  qboosh
- updated to 1.0.34, direct Source0 URL

Revision 1.10  2004/07/04 16:06:01  qboosh
- updated to 1.0.33

Revision 1.9  2004/06/05 16:52:59  qboosh
- updated to 1.0.32

Revision 1.8  2004/05/23 20:37:40  qboosh
- this version uses potrace (not autotrace) by default - changed R
- use Conflicts for old, incompatible versions of autotrace and pfaedit
- release 2

Revision 1.7  2004/04/18 21:28:00  qboosh
- updated to 1.0.31

Revision 1.6  2004/03/10 22:27:22  qboosh
- updated to 1.0.29

Revision 1.5  2004/01/21 23:20:21  qboosh
- updated to 1.0.27

Revision 1.4  2003/12/26 14:23:36  qboosh
- updated to 1.0.24

Revision 1.3  2003/12/17 21:31:38  qboosh
- updated to 1.0.23

Revision 1.2  2003/10/09 19:35:58  qboosh
- up to 1.0.20

Revision 1.1  2003/08/27 16:22:04  qboosh
- new

* Tue Feb 19 2002 Han-Wen Nienhuys <hanwen@cs.uu.nl>
- Initial build.
